[Plugin] Honeycomber
-
Can you please supply the exact version of Sketchup [found via Help > About...]
I have already logged something with Google and need the exact details... -
@tig said:
Can you please supply the exact version of Sketchup [found via Help > About...]
I have already logged something with Google and need the exact details...Version 8.0.3161
-
Thanks - this issue will affect many tools, so it needs resolving...
-
The best brains are now on to it...
Oxer/SUFractal... if you lift up the circle in the Z/blue axis [just a little] and retest with the Console raytest code do you still get the same error ?
If you use this alternative too ?
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,111),Z_AXIS.reverse])
This really is weird ??
Another, perhaps more remote, possibility is that you still have some rogue script loading from elsewhere that is redefining raytest and we have not found it [yet].
Can you type this in the Console$LOAD_PATH
and report the list.
If there are folder-paths other than root's Plugins and Tools, then check those for scripts containing 'def raytest' too -
With $LOAD_PATH appears the default paths to the plugins & tools folders but it appears the main path to my user count "/Users/Oxer" i don't know why. I have deleted the rest of the plugins in this path, for example in my downloads folder, etc.
TIG this is the result with the two codes, circle in Z/ blue axis.
-
Sorry Oxer, to try and get this more logical, here's a set of steps.
Make a ~1m circle flat on the ground, centered on the ORIGIN.
Move it up 11".Open the Ruby Console and run two raytests.
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,-111), Z_AXIS])
then
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,-111), Z_AXIS], true)
Next do two more raytests.
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,111), Z_AXIS.reverse])
then
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,111), Z_AXIS,reverse], true)
Now move the circle downwards by 22" so it's below the ORIGIN.
Repeat the 4 tests...
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,-111), Z_AXIS])
then
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,-111), Z_AXIS], true)
then
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,111), Z_AXIS.reverse])
then
Sketchup.active_model.raytest([Geom::Point3d.new(0,0,111), Z_AXIS,reverse], true)
Move the circle exactly onto the ORIGIN and repeat the 4 step test...
Post the text results from the Ruby Console...
I suspect that your MAC can't cope with certain permutations of axes and z values, or perhaps the optional wysiwyg flag ??? -
Sorry TIG, in Spain we are in holidays (Saint Week) i'm going to travel when i back i'll continue with the testing.
Bye, best wishes. -
No problems, I am on hols from tonight anyway...
-
Hi TIG,
Is it possible to use this script to create space frames with regular geometry that can be tessellated e.g. a tetrhedron, octahedron, or dodecahedron? -
@oisin.higgins said:
Hi TIG,
Is it possible to use this script to create space frames with regular geometry that can be tessellated e.g. a tetrahedron, octahedron, or dodecahedron?
Yes, theoretically...
This is v1.0
The math would just get extra extra complicated...
I do have '3 sided' [equilateral triangles] on the to-do-list already - which would give 'reinforced hexagonal honeycombs... -
Oxer/SUFractal
Thomthom has just pointed out that your versions of v8 are out of date and were replaced by updated that fixed certain issues - including some with model.raytest...
Please download the latest v8pro version for your OS, install then then retest...
Report back - it would be nice to know that the fix was as simple as you getting the latest version of the software... before you report an issue -
@tig said:
Oxer/SUFractal
Thomthom has just pointed out that your versions of v8 are out of date and were replaced by updated that fixed certain issues - including some with model.raytest...
Please download the latest v8pro version for your OS, install then then retest...
Report back - it would be nice to know that the fix was as simple as you getting the latest version of the software... before you report an issueTIG/TT:
I've updated SU (Version 8.0.11751) as you suggested.
Honeycomber, Instant Roof, SectionCutFace, and SketchUpBIM all seem to be getting along nicely so far.
(Why didn't I think of something so simple as that? )
Thanks for all your help ... I'll post in the SketchUpBIM thread/post.
-
Well at least we know it's fixed.
It was remiss of me that I didn't spot your v8 was out of date.
Luckily TT noticed it ! -
Here's v1.1 http://forums.sketchucation.com/viewtopic.php?p=395061#p395061
A glitch with the undo code is now fixed; it will now always undo in one step. -
@sufractal said:
(Why didn't I think of something so simple as that? )
As a general rule of thumb: When you have a software issue, first ensure you have the latest version. Your issue might very well be fixed already. And for 3D related applications, also check your graphic card driver.
-
Here's v1.2 http://forums.sketchucation.com/viewtopic.php?p=395061#p395061
It now has a 3 sided option making equilateral perforations, which assemble into hexagons etc thus
-
@tig said:
Here's v1.2 http://forums.sketchucation.com/viewtopic.php?p=395061#p395061
It now has a 3 sided option making equilateral perforations, which assemble into hexagons etc thusTIG:
Just downloaded the new version (w/ 3-sided option). Same issues as before. Tool appears to begin working, TIG::Honeycomber: Perforating appears in status bar ......... appears, then spinning wheel of death appears and refuses to go away.
-
Be patient !
How many perforations are you making ?
If there are many hundreds it will take a looong time !
Try it with a small number and see if it works then.
If, before running the tool, you open the Ruby Console do you get any error messages in it ?
Works fine for me and many others...
You do have SUp v8M2 ?
Must be something you are doing ?? -
@tig said:
Be patient !
How many perforations are you making ?
If there are many hundreds it will take a looong time !
Try it with a small number and see if it works then.
If, before running the tool, you open the Ruby Console do you get any error messages in it ?
Works fine for me and many others...
You do have SUp v8M2 ?
Must be something you are doing ??TIG:
No error message in ruby console prior to tool. Running current version (you reminded me to upgrade remember?) of SU. Trying default setting that pops up. 30+ minutes later and the spinning wheel of death remains. Am I doing anything wrong?
BTW ... the previous version (w/o the 3-sided option) seems to work fine.
-
Try with a 4" cube it'd take a fraction of the time! [with ~125+ perforations, each with 8 faces etc]
This one took ~2 minutes.
I replicated your 8" cube on my PC and it eventually made it in ~150 minutes .
There are ~729+ perforations, each with 8 faces etc... It all adds up...
So it is not just 10x slower, because the more entities you add to a context the slower Sketchup runs disproportionately... each extra step adds exponentially, time-wise.I think you don't need so many holes ???
If you open Task Manager when running a looooong process you will see that Sketchup is still working.
It's just taking a-g-e-s to process all of the needed geometry...In passing... please adjust your default Template's, Model Info > Units to show some decimal inches !
Advertisement